//
//  TSChatMsgToolView.swift
//  AIEmoji
//
//  Created by 100Years on 2025/2/23.
//


//30
class TSChatMsgToolView: TSChatMsgBaseView {
    var viewHeight = TSLayoutSizeCalculator.cellMessageToolViewH
    //是否显示失败
    var isShowRefresh:Bool = false {
        didSet{
            updateRefreshBtn()
        }
    }
    //是否只显示失败
    var isOnlyShowRefresh:Bool = false {
        didSet{
            updateNotRefreshBtn()
        }
    }

    lazy var copyBtn: UIButton = {
        let copyBtn = UIButton.createButton(image: UIImage(named: "aichat_copy")) { [weak self]  in
            guard let self = self else { return }
            didTapCustomViewBlock?(.copyMsg)
        }
        return copyBtn
    }()
    
    
    
    lazy var refreshBtn: UIButton = {
        let refreshBtn = UIButton.createButton(image: UIImage(named: "refresh_gary")) { [weak self]  in
            guard let self = self else { return }
            didTapCustomViewBlock?(.refreshMsg)
        }
        return refreshBtn
    }()
    

    lazy var stackView: TSCustomStackView = {
        let stackView = TSCustomStackView(axis: .horizontal,spacing: 16)
        return stackView
    }()

    override func creatUI() {

        self.clipsToBounds = true
        
        contentView.addSubview(stackView)
        stackView.snp.makeConstraints { make in
            make.leading.equalTo(12)
            make.top.equalTo(0)
            make.height.equalTo(20)
        }
        
//        stackView.addSubviewToStack(copyBtn)
//        copyBtn.snp.makeConstraints { make in
//            make.width.equalTo(20)
//        }
        
    }

    func updateRefreshBtn() {
        if isShowRefresh {
            stackView.insertViewToStack(refreshBtn, at: 0)
            refreshBtn.snp.makeConstraints { make in
                make.width.equalTo(20)
            }
        }else{
            stackView.removeViewToStack(refreshBtn)
        }
    }
    
    
    func updateNotRefreshBtn(){
        if isOnlyShowRefresh {
            stackView.removeViewToStack(copyBtn)
        }else{
            if copyBtn.superview == nil {
                stackView.addSubviewToStack(copyBtn)
                copyBtn.snp.makeConstraints { make in
                    make.width.equalTo(20)
                }
            }
        }
    }

//    func setHidden(isHidden:Bool) {
//        self.isHidden = isHidden
//        let h = isHidden ? 0 : viewHeight
//
//        successView.snp.updateConstraints { make in
//            make.height.equalTo(h)
//        }
//
//        failView.snp.updateConstraints { make in
//            make.height.equalTo(h)
//        }
//    }
}


//class TSChatMsgToolView: TSChatMsgBaseView {
//    var viewHeight = TSLayoutSizeCalculator.cellMessageToolViewH
//
//    var isSuccess:Bool = true {
//        didSet{
//            if isSuccess {
//                successView.isHidden = false
//                failView.isHidden = true
//            }else {
//                successView.isHidden = true
//                failView.isHidden = false
//            }
//        }
//    }
//    
//    lazy var copyBtn: UIButton = {
//        let copyBtn = UIButton.createButton(image: UIImage(named: "aichat_copy")) { [weak self]  in
//            guard let self = self else { return }
//            didTapCustomViewBlock?(.copyMsg)
//        }
//        return copyBtn
//    }()
//    lazy var successView: UIView = {
//        let successView = UIView()
//        
//        let copyBtn = UIButton.createButton(image: UIImage(named: "aichat_copy")) { [weak self]  in
//            guard let self = self else { return }
//            didTapCustomViewBlock?(.copyMsg)
//        }
//    
//        successView.addSubview(copyBtn)
//        copyBtn.snp.makeConstraints { make in
//            make.leading.equalTo(12)
//            make.top.equalToSuperview()
//            make.width.height.equalTo(20)
//        }
//        
//        return successView
//    }()
//    
//    lazy var failView: UIView = {
//        let failView = UIView()
//        
//        let refreshBtn = UIButton.createButton(image: UIImage(named: "refresh")) { [weak self]  in
//            guard let self = self else { return }
//            didTapCustomViewBlock?(.refreshMsg)
//        }
//    
//        failView.addSubview(refreshBtn)
//        refreshBtn.snp.makeConstraints { make in
//            make.leading.equalTo(12)
//            make.top.equalToSuperview()
//            make.width.height.equalTo(20)
//        }
//        
//        return failView
//    }()
//    
//    
//    override func creatUI() {
//        
//        self.clipsToBounds = true
////        contentView.backgroundColor = .green
//        contentView.addSubview(successView)
//        successView.snp.makeConstraints { make in
//            make.leading.equalTo(0)
//            make.trailing.equalTo(0)
//            make.top.bottom.equalToSuperview()
//            make.height.equalTo(viewHeight)
//        }
//        
//        contentView.addSubview(failView)
//        failView.snp.makeConstraints { make in
//            make.leading.equalTo(0)
//            make.trailing.equalTo(0)
//            make.top.bottom.equalToSuperview()
//            make.height.equalTo(viewHeight)
//        }
//        
////        setUpSuccess()
//    }
//
////    func setUpSuccess(){
////        successView.addSubview(copyBtn)
////        copyBtn.snp.makeConstraints { make in
////            make.leading.equalTo(12)
////            make.top.equalToSuperview()
////            make.width.height.equalTo(20)
////        }
////    }
//    
//    func setHidden(isHidden:Bool) {
//        self.isHidden = isHidden
//        let h = isHidden ? 0 : viewHeight
//    
//        successView.snp.updateConstraints { make in
//            make.height.equalTo(h)
//        }
//        
//        failView.snp.updateConstraints { make in
//            make.height.equalTo(h)
//        }
//    }
//}
